> For the complete documentation index, see [llms.txt](https://docs.arcware.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arcware.cloud/web-integration/webrtc-plugin/example-webrtc-plugin-applications/plain-html.md).

# Plain HTML

```html
<!DOCTYPE html>
<html>
  <head>
    <title>Arcware WebRTC Plugin Example</title>
    <style>
      * {
        margin: 0;
        padding: 0;
      }
      #sizeContainer,
      #videoContainer,
      #videoRef {
        width: 100vw;
        height: 100vh !important;
        background: #000;
      }
      .buttons {
        position: absolute;
        z-index: 4;
        display: flex;
        flex-direction: "row";
        justify-content: "center";
        align-items: "center";
        bottom: 10px;
        column-gap: 5px;
      }
      .button {
        padding: 7px 15px;
        border: none;
        border-radius: 4px;
        background: rgba(62, 62, 62, 0.75);
        cursor: pointer;
        color: #ffffff;
      }
    </style>
  </head>
  <body>
    <script type="text/javascript">
      function handleMute() {
        if (document.getElementById("audioRef").paused === true) {
          document.getElementById("audioRef").play();
        } else if (document.getElementById("audioRef").paused === false) {
          document.getElementById("audioRef").pause();
        }
      }
    </script>
    <script>
      let newWebRTC;
      function handleSendCommands(command) {
        newWebRTC.emitUIInteraction(command);
      }
    </script>
    <div id="sizeContainer">
      <div id="videoContainer">
        <video id="videoRef"></video>
        <audio id="audioRef"></audio>
      </div>
      <div class="buttons">
        <button class="button button-1" onclick="handleSendCommands({ body_color: 'body_color_01' })">
          Change to color 1
        </button>
        <button class="button button-2" onclick="handleSendCommands({ body_color: 'body_color_02' })">
          Change to color 2
        </button>
        <button class="button button-3" onclick="handleSendCommands({ body_color: 'body_color_03' })">
          Change to color 3
        </button>
        <button class="button button-4" onclick="handleSendCommands({ body_color: 'body_color_04' })">
          Change to color 4
        </button>
        <button class="button button-5" onclick="handleSendCommands({ body_color: 'body_color_05' })">
          Change to color 5
        </button>
        <button class="button button-6" onclick="handleMute()">Sound</button>
      </div>
    </div>
    <script type="module">
      import { WebRTCClient } from "https://unpkg.com/@arcware/webrtc-plugin@latest/index_new.umd.js";
      newWebRTC = new WebRTCClient({
        address: "wss://signalling-client.ragnarok.arcware.cloud/",
        shareId: "shareID from your project",
        settings: {
          /* object with settings */
        },
        playOverlay: false,
        loader: (val) => {
          /* handle loader */
        },
        applicationResponse: (response) => {
          /* handle application response */
          console.log("response", response);
        },
        sizeContainer: document.getElementById("sizeContainer"),
        container: document.getElementById("videoContainer"),
        videoRef: document.getElementById("videoRef"),
        audioRef: document.getElementById("audioRef"),
      });
    </script>
  </body>
</html> 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arcware.cloud/web-integration/webrtc-plugin/example-webrtc-plugin-applications/plain-html.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
